Subject: RE: Review of draft-ietf-agentx-rfc-update-01.txt

From: "Strahm, Bill" <[email-masked]>
Date: Tue, 28 Sep 1999 14:54:41 -0700

One more minor issue...

It appears that Mike Daniele's address isn't correct, can this be corrected
?

Bill

______________________________________________
Bill Strahm        Programming today is a race between
bill.strahm@      software engineers striving to build
intel.com           bigger and better idiot-proof programs,
(503) 264-4632   and the Universe trying to produce
            bigger and better idiots.  So far, the
                        Universe is winning.--Rich Cook
I am not speaking for Intel.  And Intel rarely speaks for me

> -----Original Message-----
> From: Strahm, Bill [mailto:[email-masked]]
> Sent: Tuesday, September 28, 1999 2:41 PM
> To: [email-masked]
> Cc: 'Bert Wijnen'; 'Bob Natale'; 'Mike Daniele[[email-masked]]'
> Subject: Review of draft-ietf-agentx-rfc-update-01.txt
> 
> 
> It looks good, I don't see any real reasons why this can not 
> recycle at
> proposed standard.
> 
> Now onto some nit picking
> Issue 1:
> I am very confused at a possible conflict between section 4.1 
> saying that
> the role of the master agent is to  
> " - Provides instrumentation for the MIB objects defined in 
> RFC 1907 [17],
> and for any MIB objects relevant to any administrative framework it
> supports"
> and later under 4.2 where it is said
> "1) A general architectural division of labor between master agent and
> subagent:  The master agent is MIB ignorant and SNMP 
> omniscient, while ... "
> (Ok I understand, but a little more clarification might be helpful)
> 
> Issue 2:
> Page 11
> last line is a header include, next page starts off with the 
> definition...
> can you  move the last line of page 11 down 
> (I did say nits here)
> 
> Issue 3:
> I would prefer having the AgentX PDU header (Section 6.1) 
> placed before the
> AgentX Encodings (Section 5)
> 
> Issue 4:
> I would like railroad diagrams if possible for many of the Protocol
> definitions, especially the SET PDUs to show what is passed 
> and when. ( All
> though the number of examples looks to be pretty good )
> 
> Issue 5:
> page 34
> definition of n.vb.
> "-snmpTrapOID.0 must be present, as the second varbind if 
> sysUpTime.0 was
> supplied, as the first if it was not."
> This seems to be cumbersome, of course I don't have any 
> better wording :(
> 
> Issue 6:
> 7.1.4.1 Handling Duplicate and Overlapping Subtrees
> An example here please, I think this is going to be an area 
> of error ( real
> implementors tell me if this isn't the case )
> It also seems that if I register a less specific subtree, 
> even if I have
> priority 1, I will be taken over by a subAgent that registers 
> a small subset
> of my range...  Is this really the behaviour that we want ?
> 
> Issue 7:
> 7.1.4.2.2 Index Allocation
> It doesn't look like AgentX is targetting MIBs where indexes 
> are implemented
> as TestandIncr variables.  I could see the need for a subagent to push
> control of a TestandIncr variable to the Index Allocation 
> routines... YMMV.
> (PS good set of examples after this too)
> 
> Issue 8:
> 7.2.4 Subagent Processing of agentx-TestSet, -CommitSet, -UndoSet,
> -CleanupSet-PDUs
> Is there a time value that a subagent can use to cleanup 
> after a TestSet is
> performed if no other PDUs come from the Master Agent.  Or is this
> implementation specific, if I don't see the next step in n 
> amount of time,
> ping the master agent and if it is still alive it will get 
> around, if not,
> then cleanup anyway ???
> 
> Issue 9:
> 7.2.4.1 Subagent Processing of agentx-TestSet-PDU
> There has been a lot of talk on both the SNMPv3 list and here 
> about this
> issue.  I am not really certain that it has bottomed out, I 
> will bow to
> concensus of the WG to determine this (I am not sure I 
> "FULLY" understand
> the agruements Pro/Con)
> 
> Issue 10:
> 9 Security Considerations
> Page 75
> Why did you list the questions in one order, and answer them 
> in the other
> order, I think more than a simple "no" as the answer to 
> question 2 is needed
> (I know it is true however)
> 
> Also you recomend that the subagents run on the local host, 
> but you have
> defined a port (705) to potentially allow remote operation, is this an
> inconsistancy ?
> 
> Bill
> _____________________________________________
> Bill Strahm        Programming today is a race between
> bill.strahm@      software engineers striving to build
> intel.com           bigger and better idiot-proof programs,
> (503) 264-4632   and the Universe trying to produce
>             bigger and better idiots.  So far, the
>                         Universe is winning.--Rich Cook
> I am not speaking for Intel.  And Intel rarely speaks for me
>